<div class="tab-pane active" id="tab1">
    <div class="example-box-wrapper">
        <div class="row" style=" overflow: auto;">
            <table class="table table-condensed table-bordered table-striped table-hover cf" style="font-size: 11px; color:black">
                <thead class="cf" style="background-color: blue">
                    <tr class="bg-blue">
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No.
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No. Setoran
                        </th>          
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Tgl. Setoran
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Jumlah Setoran
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            #
                        </th>  
                    </tr>
                    <tr>
                        <td></td>
                        <td><input type="text" id="t_nosetoran_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><input type="text" id="t_tglsetoran_cari_0" class="form-control input-sm" onchange="calldatagrid()"></td>
                        <td></td>
                        <td></td>
                    </tr>
                </thead>
                <tbody id="body_grid">
                </tbody>
                <tfoot>              
                    <tr>
                        <td colspan="5" class="text-center">
                            <div class="row">
                                <div class="col-sm-3 text-left">
                                    <span class="hiddene">
                                        <select id="rows" class="form-control" style="width: 30%" onchange="calldatagrid(1)">
                                            <option value="10">10</option>
                                            <option value="20">20</option>
                                            <option value="30">30</option>
                                            <option value="40">40</option>
                                            <option value="50">50</option>
                                        </select>
                                    </span>
                                </div>
                                <div class="col-sm-6" style="text-align: center">
                                    <center>
                                        <div id="paginatore"></div>
                                        <input type="hidden" id="page" value="1">
                                    </center>
                                </div>
                                <div class="col-sm-3 text-right">
                                    <span class="hiddene">
                                        <p>
                                            <b style="font-size: 13px; color: orangered"><span id="awaldata"></span> s/d <span id="akhirdata"></span> Dari <span id="total_data"></span> Data</b>
                                        </p>  
                                    </span>
                                </div>
                            </div>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>
<div class="modal fade" id="modalCetakSTS" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>CETAK STS</b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Tgl. Cetak
                            </label>
                            <div class="col-md-4">
                                <input type="hidden" name="idsbh" id="idsbh">
                                <input type="text" class="form-control" name="tglsts" id="tglsts"  value="<?= date('d-m-Y') ?>" data-date-format="yy">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Pengguna Anggaran
                            </label>
                            <div class="col-md-9">
                                <select name="mengetahuists" id="mengetahuists" class="form-control">
                                    <?php foreach ($ar_pejabat as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Bendahara
                            </label>
                            <div class="col-md-9">
                                <select name="diperiksasts" id="diperiksasts" class="form-control">
                                    <?php foreach ($ar_pejabat as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <a href="#" class="btn btn-sm btn-danger" title="" onclick="cetaksts()"><i class="glyph-icon icon-file-pdf-o"></i> PDF</a>
                    <button class='btn btn-primary btn-sm' onclick='tutupCetakSTS()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>
<script type="text/javascript">
    $(function () {
        $('#t_tglsetoran_cari_0').daterangepicker({
            format: 'DD-MM-YYYY'
        }, function () {
            calldatagrid();
        });
    });
    
    $(function () {
        calldatagrid();
    });

    function calldatagrid(direction) {
        datagridsetoran($("#page").val(), $("#rows").val(), direction);
    }

    function datagridsetoran(pagebelum, row, direction) {
        $.post('<?= $this->url() ?>/datagridsetoran/' + pagebelum + '/' + row + '/' + direction,{
            t_nosetoran: $('#t_nosetoran_cari_0').val(),
            t_tglsetoran: $('#t_tglsetoran_cari_0').val(),
            t_jmlhsetoran: $('#t_jmlhsetoran_cari_0').val()
        }, function (data) {
            var aa = JSON.parse(data)
            $("#body_grid").html(aa.gridbelum);
            $("#rows").val(aa.rowsbelum);
            $("#page").val(aa.pagebelum);
            $("#total_data").html(": " + aa.countbelum);
            $("#total_halaman").html(": " + aa.total_halamanbelum);
            $("#paginatore").html(aa.paginatorebelum);
            $("#awaldata").html(aa.awaldatabelum);
            $("#akhirdata").html(aa.akhirdatabelum);
        });
    }
    
    function hapus(a){
        var tanya = confirm('Apakah anda yakin ingin menghapus data ini?');
        if(tanya){
            $.post('<?=$this->url()?>/hapus',{t_idsbh:a}, function(data){
               calldatagrid(); 
            });
        }
    }

    function bukaCetakSTS(a) {
        $.post('<?= $this->url() ?>/dataRekambank', {t_idsbh: a}, function (data) {
            var aa = JSON.parse(data);
            $("#idsbh").val(aa.idsbh);
        });
        $('#modalCetakSTS').modal('show');
    }

    function tutupCetakSTS() {
        $('#modalCetakSTS').modal('hide');
    }

    function cetaksts() {
        window.open('<?= $this->url() ?>/cetaksts?tglsts=' + $("#tglsts").val() + "&idsbh=" + $("#idsbh").val() + "&mengetahuists=" + $("#mengetahuists").val() + "&diperiksasts=" + $("#diperiksasts").val());
    }
</script>
<style type="text/css">
    .combooperatorbelumc select {
        border: 0 !important;  /*Removes border*/
        -webkit-appearance: none;  /*Removes default chrome and safari style*/
        -moz-appearance: none; /* Removes Default Firefox style*/
        appearance:none;
        /*background: #E08E0B url(img/select-arrow.png) no-repeat 90% center;*/
        background: #E08E0B no-repeat 90% center;
        text-indent: 0.01px; /* Removes default arrow from firefox*/
        color: #FFF;
    }	
</style>
